Uploaded image for project: 'OpenNMS'
  1. OpenNMS
  2. NMS-8929

OpenNMS Kafka client cannot load because of Zookeeper OSGi issue

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved (View Workflow)
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 19.0.0
    • Fix Version/s: 19.0.0
    • Component/s: OSGi
    • Security Level: Default (Default Security Scheme)
    • Labels:
      None

      Description

      When connecting the Kafka syslog message handler, we're running into this issue where the Import-Package for "org.ietf.jgss" is missing from Zookeeper:

      https://issues.apache.org/jira/browse/ZOOKEEPER-2056

      For this reason, we need to upgrade Zookeeper (which is part of the camel-kafka feature) from 3.4.6 to 3.4.7.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              seth Seth Leger
              Reporter:
              seth Seth Leger
              Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: